Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsCompoundRecSrc Class Referenceabstract

Defines how compound records (parent plus children) are passed in the API. More...

## Public Member Functions
abstract NetricsCompoundRecord | getNext ()
| Returns the next record.
abstract bool | hasNext ()
| Returns true if the source has more records.
abstract void | reset ()
| Reset the source to the first record.
bool | hasNext ()
| Returns true if the source has more records.
NetricsBaseRecord | getNext ()
| Returns the next record.
void | reset ()
| Reset the source to the first record.

## Detailed Description

Defines how compound records (parent plus children) are passed in the API.

When a constructor or method needs a set of compound records it expects an object that implements this interface. By creating a class that implements this interface the user can feed joined-records from any source directly into the API.

See also
  NetricsCompoundReader, NetricsBaseRecSrc

## Member Function Documentation

## ◆ getNext()

abstract NetricsCompoundRecord NetricsServerInterface.NetricsCompoundRecSrc.getNext | ( |  | ) |
| pure virtual

Returns the next record.

This restricts the return value to NetricsCompoundRecord instead of the base NetricsBaseRecord.

Exceptions

  NetricsRecSrcException | Thrown if an error occurs, or if there are no more records.

Returns
  the next record

Implements NetricsServerInterface.NetricsBaseRecSrc.

Implemented in NetricsServerInterface.NetricsCompoundReader, and NetricsServerInterface.NetricsTableCursorCompoundRecSrc.

## ◆ reset()

abstract void NetricsServerInterface.NetricsCompoundRecSrc.reset | ( |  | ) |
| pure virtual

Reset the source to the first record.

Not all record sources may support this operation.

Implements NetricsServerInterface.NetricsBaseRecSrc.

Implemented in NetricsServerInterface.NetricsCompoundReader, and NetricsServerInterface.NetricsTableCursorCompoundRecSrc.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.